/**
 * 
 */
package com.objectbay.switchyard.example;


import java.io.IOException;

import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;

/**
 * @author Christoph Gostner <christoph.gostner@objectbay.com>
 * 
 */
public abstract class IntegrationTest {
	
	public static Archive<?> createSimpleDeployment(Class<?>... testClasses) {
		final JavaArchive extraClasses = ShrinkWrap.create(JavaArchive.class, "extra-classes.jar")
				.addClass(IntegrationTest.class)
				.addClasses(testClasses);

		EarBuilder builder = new EarBuilder("arquillian-test.ear");
		builder.loadPom("pom.xml");
		
		builder.addArtifactAndDependenciesAsLibrary("org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-api-maven:1.0.0-beta-7", JavaArchive.class);
		builder.addArtifactAsModule("com.objectbay.switchyard:transformer-example-services", JavaArchive.class);
		builder.addAsModule(extraClasses);
		
		try {
			builder.generateApplicationXml();
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
		return builder.getEar();
	}
}
